class Botomizer::Cache
  attr_reader :prefix

  def initialize(cache, prefix)
    @cache = cache
    @prefix = prefix
  end

  def fetch(key)
    @cache.fetch("#{@prefix}_#{key}") if @cache
  end

  def write(key, value)
    @cache.write("#{@prefix}_#{key}", value, expires_in: 1.hour) if @cache
  end

  def delete(key)
    @cache.delete("#{@prefix}_#{key}") if @cache
  end

  def exists?(key)
    @cache.exist?("#{@prefix}_#{key}")
  end
end